Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class DocWebServiceRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.ManagedRenderer
            |
            +--oracle.portal.provider.v2.render.http.BaseManagedRenderer
                  |
                  +--oracle.portal.provider.v2.webservice.WebServiceRenderer
                        |
                        +--oracle.portal.provider.v2.webservice.DocWebServiceRenderer

All Implemented Interfaces:
  InitializableXMLObject, Validateable

public class DocWebServiceRenderer
extends WebServiceRenderer

`DocWebServiceRenderer` is a specialized `WebServiceRenderer` for invoking 'doc style' web services. A doc style web service communicates through the interchange of XML documents of a service-specific format, and can be identified from a `<soap:binding style="doc">` declaration in a WSDL (Web Services Description Language) interface description.

The structure of the XML request to the web service and parameter bindings into this structure should be defined by setting the `literal` property to an appropriate `LiteralXML` object.

Inner classes inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer
`WebServiceRenderer.ConstParam, WebServiceRenderer.DefaultableParameterBinding, WebServiceRenderer.EditData, WebServiceRenderer.ParameterBinding, WebServiceRenderer.PromptedBinding, WebServiceRenderer.RequestParam, WebServiceRenderer.SessionAttrib, WebServiceRenderer.URLParam`

Constructor Summary
`DocWebServiceRenderer()`

Method Summary
`void` | `invokeService(WebServiceRenderRequest wrr, org.w3c.dom.Element docEl)` Uses the given `WebServiceRenderRequest` to instantiate the XML request structure described by the `literal` property (if specified), invokes the web service, and adds its XML response to the response XML document.
`void` | `postInitialize()` Performs the extra steps required to initialize and validate a `DocWebServiceRenderer` once its properties have been set with the appropriate accessor methods.
`void` | `setEndpointURL(java.lang.String endpointURL)` Defines the URL through which the web service should be contacted.
`void` | `setSoapAction(java.lang.String soapAction)` Defines the value to be set for the `SOAPAction` HTTP header, if required.

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer
`addLiteral, getBindings, getEscapeOutput, getLiteral, getLogging, getLoggingDirectory, renderBody, renderEdit, renderEditDefaults, renderLink, renderShow, setEscapeOutput, setLogging, setLoggingDirectory, setResponseXSL, validate`

Methods inherited from class oracle.portal.provider.v2.render.http.BaseManagedRenderer
`addParameter, getContentType, getGeneratesESI, preInitialize, prepareResponse, setContentType, setGeneratesESI, setGeneratesESI, setPageExpires, setPageExpires, setUseInvalidationCaching, setUseInvalidationCaching`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocWebServiceRenderer

    public DocWebServiceRenderer()

Method Detail

### postInitialize

    public void postInitialize()
                        throws NodeHandlerException

  Performs the extra steps required to initialize and validate a `DocWebServiceRenderer` once its properties have been set with the appropriate accessor methods.
  Overrides:
    `postInitialize` in class `WebServiceRenderer`
  Throws:
    `NodeHandlerException` - if not all properties have been set correctly

### setEndpointURL

    public void setEndpointURL(java.lang.String endpointURL)
                        throws java.net.MalformedURLException

  Defines the URL through which the web service should be contacted. This can be determined from the `<soap:address>` element of the service's WSDL document.

### setSoapAction

    public void setSoapAction(java.lang.String soapAction)

  Defines the value to be set for the `SOAPAction` HTTP header, if required. This can be determined from a web service's WSDL document by the `soapAction` attribute of the `<soap:operation>` element corresponding to the particular operation you want to invoke.

### invokeService

    public void invokeService(WebServiceRenderRequest wrr,
                              org.w3c.dom.Element docEl)
                       throws PortletException

  Uses the given `WebServiceRenderRequest` to instantiate the XML request structure described by the `literal` property (if specified), invokes the web service, and adds its XML response to the response XML document.
  Overrides:
    `invokeService` in class `WebServiceRenderer`
  Parameters:
    `wrr` - an object exposing the relevant properties of the current render request
    `docEl` - the document element of the XML document to which an XML representation of the response should be added
  Throws:
    `PortletException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.